%define name bombermaze
%define version 0.6.6
%define release 1mdk

Name:           %{name}
Summary:        A GNOME-based clone of the Bomberman arcade game
Version:        %{version}
Release:        %{release}
License:      GPL
Group:          Games/Arcade
URL:            http://bombermaze.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.xpm.bz2
Prefix:         %{_prefix}
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
Bombermaze is a multiplayer action game in which players run around in a
square-grid maze while dropping bombs and collecting power-ups. The bombs
exlode after a short time delay, taking out any nearby bricks and players.
The last player left is the winner.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/bombermaze << EOF
?package(bombermaze): title="BomberMaze" longtitle="Gnome bomberman game" command="bombermaze" needs="x11" icon="bombermaze.xpm" section="Amusement/Arcade"
EOF
#install icon
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
bzip2 -cd %{SOURCE1} > $RPM_BUILD_ROOT%{_iconsdir}/bombermaze.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog README TODO
%{_bindir}/bombermaze
%{_datadir}/gnome/apps/Games/bombermaze.desktop
%{_datadir}/gnome/help/bombermaze/*
%{_datadir}/pixmaps/bombermaze.png
%{_datadir}/bombermaze/*
%lang(fr) %{_datadir}/locale/fr/*/*
%lang(pt_BR) %{_datadir}/locale/pt_BR/*/*
%{_menudir}/bombermaze
%{_iconsdir}/bombermaze.xpm

%changelog
* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- updated to 0.6.6

* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- updated to 0.6.4

* Mon Oct 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated to 0.6.3

* Mon Aug 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- new in contribs
- used srpm provided by Gtz Waschk <waschk@linux-mandrake.com>

* Thu Aug 17 2000 Gtz Waschk <waschk@linux-mandrake.com> 
- initial Mandrake package
